package controller

import (
	"web-qudo-be/app/module/cms_content_submissions/service"

	"github.com/rs/zerolog"
)

type Controller struct {
	CmsContentSubmissions CmsContentSubmissionsController
}

func NewController(
	svc service.CmsContentSubmissionsService,
	log zerolog.Logger,
) *Controller {
	_ = log
	return &Controller{
		CmsContentSubmissions: NewCmsContentSubmissionsController(svc),
	}
}
